
#################################################################################
#
#  Licensed Materials - Property of IBM
#  Restricted Material of IBM
#  IBM Rational Test RealTime
#  (c) Copyright IBM Corp. 2007-2008 All Rights Reserved.
#
#  US Governement Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#################################################################################

#required by attolcclib.pl when -treatmt=Rhaptrmt.pl option is on the command line as attolcc option
#So the make is invoked as:
#set ATLTGT=%TESTRTDIR%\targets\cvisual6
#set RT_OPT=-opt=../../TestRTRhap.opt -act=../../TestRTRhap.opt_act
#set ATLCC=%RT_OPT% -env_OMROOT=\"C:\Program Files\Telelogic\Rhapsody 7.2\" -treatmt=Rhaptrmt.pl
#nmake /nologo /S /F %1 %target% %3 %4 %5 %6 CC="attolcc %ATLCC% -- cl" CPP="attolcc %ATLCC% -- cl" LINK_CMD="attolcc %ATLCC% -- link"


$TreatmentBeforeLink=1;
sub TreatmentLink #($)
{
my $lang=shift;
   if($ATPMODE) {
   	my $libPath="$ENV{OMROOT}/Share/LangC/lib";
   	$libPath="$ENV{OMROOT}/Share/LangCpp/Lib" if(($lang=~m/CPP/i) || ($LinkFlags=~ m/LangCpp/));
	$libPath=~s,\\,\/,g; $libPath=~s,\",,g;

   	#print "original=$LinkFlags\n";
	my $line=$LinkFlags;
   	while($line=~ m/\W(\w+\.lib)\W/g) {
   		my $name=$1;
   		#print "libName=$name\nfile=",$libPath.'/RT'.$name,"\n";
   		$LinkFlags=~s/(\W)$name/$1RT$name/ if(-f $libPath.'/RT'.$name);
   	}
   	while($line=~ m/\W(\w+\.a)\W/g) {
   		my $name=$1;
   		#print "libName=$name\nfile=",$libPath.'/RT'.$name,"\n";
   		$LinkFlags=~s/(\W)$name/$1RT$name/ if(-f $libPath.'/RT'.$name);
   	}
   	#print "modified=$LinkFlags\n";
	
   }
}

1;

